/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alipay.sofa.lookout.server.prom.ql.ast;

import java.time.Duration;
import java.time.Instant;

/**
 * Created by kevin.luy@alipay.com on 2018/2/7.
 */
public class EvalStmt implements Statement {
    Expr     expr;
    Instant  start;
    Instant  end;
    Duration interval;

    public EvalStmt(Expr expr, Instant start, Instant end, Duration interval) {
        this.expr = expr;
        this.start = start;
        this.end = end;
        this.interval = interval;
    }

    public Instant getStart() {
        return start;
    }

    public Instant getEnd() {
        return end;
    }

    public Duration getInterval() {
        return interval;
    }

    @Override
    public void stmt() {

    }

    public Expr getExpr() {
        return expr;
    }
}
